Skip to content

Reset Password

POST
/api/account/reset-password
curl --request POST \
--url https://example.com/api/account/reset-password \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '{ "token": "example", "newPassword": "example" }'

Completes a password reset with a valid, unexpired token.

object
token
required
string
>= 1 characters <= 128 characters
newPassword
required
string
>= 8 characters <= 128 characters
Example generated
{
"token": "example",
"newPassword": "example"
}

No Content

Bad Request

Media type application/json
object
type
string
nullable
title
string
nullable
status
integer format: int32
nullable
detail
string
nullable
instance
string
nullable
key
additional properties
Example generated
{
"type": "example",
"title": "example",
"status": 1,
"detail": "example",
"instance": "example"
}